Subject: Re: linux-next: build failure after merge of the scsi-mkp tree

From: James Bottomley <[email-masked]>
Date: Thu, 07 Nov 2024 16:00:24 -0500

On Thu, 2024-11-07 at 15:47 -0500, Martin K. Petersen wrote:
> 
> Hi Stephen!
> 
> > After merging the scsi-mkp tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/ufs/core/ufs-mcq.c: In function 'ufshcd_mcq_sq_cleanup':
> > drivers/ufs/core/ufs-mcq.c:580:9: error: 'rtc' undeclared (first
> > use in this function)
> >   580 |         rtc = FIELD_GET(SQ_ICU_ERR_CODE_MASK, readl(reg));
> >       |         ^~~
> > drivers/ufs/core/ufs-mcq.c:580:9: note: each undeclared identifier
> > is reported only once for each function it appears in
> 
> Hrm, I believe I already addressed this conflict in the SCSI tree.
> 
> Maybe James' repo has stale bits?

No, my tree builds ... or at least the ufs-mcq.c part of it (I checked
after I got the merge conflict ... although only with the default
configuration).  I'm still worried about the resolution I flagged on
the list, though.

Regards,

James